ChangeSet 1.1587.3.38, 2004/05/05 13:36:39-07:00, stern@rowland.harvard.edu

[PATCH] USB: Small change to CPiA USB driver

Only one aspect of it is notable: The CPiA USB
driver calls usb_driver_release_interface() during its disconnect()
routine.  That doesn't appear to be necessary, since it didn't call
usb_driver_claim_interface() beforehand and since the interface will be
released automatically when disconnect() returns.


 drivers/media/video/cpia_usb.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)


diff -Nru a/drivers/media/video/cpia_usb.c b/drivers/media/video/cpia_usb.c
--- a/drivers/media/video/cpia_usb.c	Fri May 14 15:29:41 2004
+++ b/drivers/media/video/cpia_usb.c	Fri May 14 15:29:41 2004
@@ -499,7 +499,7 @@
 	if (udev->descriptor.bNumConfigurations != 1)
 		return -ENODEV;
 
-	interface = &intf->altsetting[0];
+	interface = intf->cur_altsetting;
 
 	printk(KERN_INFO "USB CPiA camera found\n");
 
@@ -620,8 +620,6 @@
 		wake_up_interruptible(&ucpia->wq_stream);
 
 	udev = interface_to_usbdev(intf);
-	usb_driver_release_interface(&cpia_driver,
-				     udev->actconfig->interface[0]);
 
 	ucpia->curbuff = ucpia->workbuff = NULL;
 
